Bug 520478 - e1000 interface reset after ifdown/ifup in another interface but same BUS
Summary: e1000 interface reset after ifdown/ifup in another interface but same BUS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dean Nelson
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 17:09 UTC by Marcus Alves Grando
Modified: 2010-03-01 18:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-01 18:40:14 UTC


Attachments (Terms of Use)

Description Marcus Alves Grando 2009-08-31 17:09:23 UTC
After I did ifdown in eth2 my bonding with eth3 and eth5 keep working, but after ifup eth2, eth3 in same bus reset unexpectly.

# dmesg
eth2: Link is Up 1000 Mbps Full Duplex, Flow Control: None
bonding: bond0: link status down for active interface eth3, disabling it
bonding: bond0: making interface eth5 the new active one.
bonding: bond0: backup interface eth3 is now up
bonding: bond0: changing from interface eth5 to primary interface eth3
bonding: bond0: making interface eth3 the new active one.

# ethtool -i eth2
driver: e1000e
version: 0.3.3.3-k4
firmware-version: 5.6-2
bus-info: 0000:0a:00.0

# ethtool -i eth3
driver: e1000e
version: 0.3.3.3-k4
firmware-version: 5.6-2
bus-info: 0000:0a:00.1

# lspci 
0a:00.0 Ethernet controller: Intel Corporation 82571EB Gigabit Ethernet Controller (rev 06)
0a:00.1 Ethernet controller: Intel Corporation 82571EB Gigabit Ethernet Controller (rev 06)
0b:00.0 Ethernet controller: Intel Corporation 82571EB Gigabit Ethernet Controller (rev 06)
0b:00.1 Ethernet controller: Intel Corporation 82571EB Gigabit Ethernet Controller (rev 06)

# uname -a
Linux 1aa.tpn.terra.com 2.6.18-128.7.1.el5 #1 SMP Tue Aug 25 11:14:31 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

Regards

Comment 1 Marcus Alves Grando 2009-09-09 15:16:37 UTC
Seems to works fine now. RHEL 5.4.

# dmesg
...
ADDRCONF(NETDEV_UP): eth2: link is not ready
e1000e: eth2 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
ADDRCONF(NETDEV_CHANGE): eth2: link becomes ready
eth2: no IPv6 routers present
# ethtool -i eth2
driver: e1000e
version: 1.0.2-k2
firmware-version: 5.6-2
bus-info: 0000:0a:00.0
# ethtool -i eth3
driver: e1000e
version: 1.0.2-k2
firmware-version: 5.6-2
bus-info: 0000:0a:00.1
# uname -a
Linux 1aa.tpn.terra.com 2.6.18-164.el5 #1 SMP Tue Aug 18 15:51:48 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

Best regards.

Comment 2 Dean Nelson 2010-03-01 16:10:47 UTC
Marcus, being that this problem does not show up in RHEL5.4, is it okay to change this BZ's status to CLOSED CURRENTRELEASE?

Dean

Comment 3 Marcus Alves Grando 2010-03-01 18:16:38 UTC
(In reply to comment #2)
> Marcus, being that this problem does not show up in RHEL5.4, is it okay to
> change this BZ's status to CLOSED CURRENTRELEASE?
> 
> Dean    

Yes Dean, fell free to close.

Regards

Comment 4 Dean Nelson 2010-03-01 18:40:14 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Marcus, being that this problem does not show up in RHEL5.4, is it okay to
> > change this BZ's status to CLOSED CURRENTRELEASE?
> > 
> > Dean    
> 
> Yes Dean, fell free to close.
> 
> Regards    

Closing BZ since there is no longer a problem.


Note You need to log in before you can comment on or make changes to this bug.